FlatPattern Class

class NXOpen.Features.FlatPattern

Bases: NXOpen.Features.Feature

Represents a Flat Solid feature

To create or edit an instance of this class, use NXOpen.Features.SheetMetal.FlatPatternBuilder

New in version NX5.0.1.

Properties

Property Description
AlgorithmVersion Returns the algorithm version of the feature
ContainerFeature Returns the container feature for this feature.
FeatureType Returns the feature type
IsContainedFeature Returns true if the feature is a contained feature.
IsInternal Returns true if the feature is internal.
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Location Returns the location of the feature
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Suppressed Returns the suppression status of the feature
Tag Returns the Tag for this object.
Timestamp Returns the timestamp of the feature

Methods

Method Description
BreakWaveLink Break Wave Link Feature
ChangeBooleanType Change Boolean Type
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteClueAlerts Delete all clue alerts from the features
DeleteHintAlerts Delete all clue alerts from the features
DeleteInformationalAlerts Delete all informational alerts from the features
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
DeleteWarningAlerts Delete all warning alerts from the features
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAddedBottomGeometry Returns an array of all the added bottom geometry assocated with the flat pattern.
GetAddedTopGeometry Returns an array of all the added top geometry assocated with the flat pattern.
GetAllChildren Returns all immediate child features.
GetAnnotations Returns an array of all the flat pattern annotations.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBendDownCenterLines Returns an array describing the bend-down center lines and associated objects.
GetBendTangentLines Returns an array describing the bend tangent lines and associated objects.
GetBendUpCenterLines Returns an array describing the bend-up center lines and associated objects.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetChildren Returns the immediate child features.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetCurves Returns an array of all the flat pattern curves.
GetEntities Returns the entities created by the feature.
GetExpressions Returns the expressions created by the feature.
GetExteriorCurves Returns an array describing the exterior curves and associated objects.
GetFeatureClueHintMessages Returns both clue and hint messages of the feature.
GetFeatureClueMessages Returns the feature clue messages.
GetFeatureColor The feature color
GetFeatureErrorMessages Returns the feature error messages.
GetFeatureHintMessages Returns the feature hint messages.
GetFeatureInformationalMessages Returns the feature informational messages.
GetFeatureName Returns the displayed name of the feature.
GetFeatureWarningMessages Returns the feature warning messages.
GetInnerMoldLines Returns an array describing the inner mold lines and associated objects.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetInteriorCutoutCurves Returns an array describing the interior cutout curves and associated objects.
GetInteriorFeatureCurves Returns an array describing the interior feature curves and associated objects.
GetJoggleLines Returns an array describing the outer mold lines and associated objects.
GetLighteningHoleCenters Returns an array describing the lightening hole centers and associated objects.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetOuterMoldLines Returns an array describing the outer mold lines and associated objects.
GetParents Returns the immediate parent features.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetSections Queries a feature for list of its sections.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetToolMarkers Returns an array of all the tool marker points assocated with the flat pattern.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
HideBody Hide the body created by the feature
HideParents Hide the body created by the parent feature
Highlight Highlight the body created by the feature
LogDiagnostic Log a diagnostic alert for this feature
MakeCurrentFeature Make current feature
MakeFlatSolidExternal Makes the flat pattern’s parent flat solid feature external.
MakeFlatSolidInternal Makes the flat pattern’s parent flat solid feature internal.
MakeSketchExternal Make the parent sketch external for reuse by other features.
MakeSketchInternal Make the parent sketch internal if referenced only by this feature.
Print Prints a representation of this object to the system log file.
RemoveForEdit Remove all the feature faces before a NoHistory mode edit.
RemoveParameters Remove Local feature parameters in history free mode.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetGroupActive Set a feature group as active group.
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
ShowBody Show the body created by the feature.
ShowDimensions Show all feature dimensions of a feature.
ShowParents Show the body created by the parent feature.
Suppress Suppress the feature
Unhighlight Unhighlight the body created by the feature
Unsuppress Unsuppress the feature

Structs

FlatPatternObjectDataCsys_Struct Struct Structure used to return data about objects in the flat pattern.
FlatPatternObjectDataEdge_Struct Struct Structure used to return data about objects in the flat pattern.
FlatPatternObjectDataFace_Struct Struct Structure used to return data about objects in the flat pattern.
FlatPatternObjectDataGeneral_Struct Struct Structure used to return data about objects in the flat pattern.

Property Detail

IsOccurrence

FlatPattern.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

FlatPattern.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

FlatPattern.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

FlatPattern.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

FlatPattern.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

FlatPattern.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

FindObject

FlatPattern.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetAddedBottomGeometry

FlatPattern.GetAddedBottomGeometry

Returns an array of all the added bottom geometry assocated with the flat pattern.

Signature GetAddedBottomGeometry()

Returns:Array of tool marker object data
Return type:list of NXOpen.Features.FlatPatternObjectDataGeneral_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetAddedTopGeometry

FlatPattern.GetAddedTopGeometry

Returns an array of all the added top geometry assocated with the flat pattern.

Signature GetAddedTopGeometry()

Returns:Array of tool marker object data
Return type:list of NXOpen.Features.FlatPatternObjectDataGeneral_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetAnnotations

FlatPattern.GetAnnotations

Returns an array of all the flat pattern annotations.

The objects are not sorted in any order.

Signature GetAnnotations()

Returns:The flat pattern annotations
Return type:list of NXOpen.NXObject

New in version NX7.5.5.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetBendDownCenterLines

FlatPattern.GetBendDownCenterLines

Returns an array describing the bend-down center lines and associated objects.

Signature GetBendDownCenterLines()

Returns:Array of bend-up center line object data
Return type:list of NXOpen.Features.FlatPatternObjectDataFace_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetBendTangentLines

FlatPattern.GetBendTangentLines

Returns an array describing the bend tangent lines and associated objects.

Signature GetBendTangentLines()

Returns:Array of bend-up center line object data
Return type:list of NXOpen.Features.FlatPatternObjectDataEdge_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetBendUpCenterLines

FlatPattern.GetBendUpCenterLines

Returns an array describing the bend-up center lines and associated objects.

Signature GetBendUpCenterLines()

Returns:Array of bend-up center line object data
Return type:list of NXOpen.Features.FlatPatternObjectDataFace_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetCurves

FlatPattern.GetCurves

Returns an array of all the flat pattern curves.

The objects are not sorted in any order.

Signature GetCurves()

Returns:The flat pattern curves
Return type:list of NXOpen.NXObject

New in version NX7.5.5.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetExteriorCurves

FlatPattern.GetExteriorCurves

Returns an array describing the exterior curves and associated objects.

Signature GetExteriorCurves()

Returns:Array of bend-up center line object data
Return type:list of NXOpen.Features.FlatPatternObjectDataEdge_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetInnerMoldLines

FlatPattern.GetInnerMoldLines

Returns an array describing the inner mold lines and associated objects.

Signature GetInnerMoldLines()

Returns:Array of bend-up center line object data
Return type:list of NXOpen.Features.FlatPatternObjectDataFace_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetInteriorCutoutCurves

FlatPattern.GetInteriorCutoutCurves

Returns an array describing the interior cutout curves and associated objects.

Note that all interior cutout curves are returned. Loops for separate interiour cutouts are not distinguished.

Signature GetInteriorCutoutCurves()

Returns:Array of bend-up center line object data
Return type:list of NXOpen.Features.FlatPatternObjectDataEdge_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetInteriorFeatureCurves

FlatPattern.GetInteriorFeatureCurves

Returns an array describing the interior feature curves and associated objects.

Note that all interior cutout curves are returned. Curves for separate interior features are not distinguished.

Signature GetInteriorFeatureCurves()

Returns:Array of bend-up center line object data
Return type:list of NXOpen.Features.FlatPatternObjectDataEdge_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetJoggleLines

FlatPattern.GetJoggleLines

Returns an array describing the outer mold lines and associated objects.

The flat_pattern_object is the outer mold line on the flat pattern. The flat_solid_object is null. The formed_body_object is a bend face on the formed body.

Signature GetJoggleLines()

Returns:Array of bend-up center line object data
Return type:list of NXOpen.Features.FlatPatternObjectDataEdge_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetLighteningHoleCenters

FlatPattern.GetLighteningHoleCenters

Returns an array describing the lightening hole centers and associated objects.

Note that in this case, the formed_body_object entry is null.

Signature GetLighteningHoleCenters()

Returns:Array of bend-up center line object data
Return type:list of NXOpen.Features.FlatPatternObjectDataFace_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetOuterMoldLines

FlatPattern.GetOuterMoldLines

Returns an array describing the outer mold lines and associated objects.

Signature GetOuterMoldLines()

Returns:Array of bend-up center line object data
Return type:list of NXOpen.Features.FlatPatternObjectDataFace_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetToolMarkers

FlatPattern.GetToolMarkers

Returns an array of all the tool marker points assocated with the flat pattern.

Signature GetToolMarkers()

Returns:Array of tool marker object data
Return type:list of NXOpen.Features.FlatPatternObjectDataCsys_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

MakeFlatSolidExternal

FlatPattern.MakeFlatSolidExternal

Makes the flat pattern’s parent flat solid feature external.

Signature MakeFlatSolidExternal()

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

MakeFlatSolidInternal

FlatPattern.MakeFlatSolidInternal

Makes the flat pattern’s parent flat solid feature internal.

Signature MakeFlatSolidInternal()

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Print

FlatPattern.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

FlatPattern.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.